/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.2
 * 
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: event_i.h,v $
 *
 * HISTORY
 * $Log: event_i.h,v $
 * Revision 1.3  1994/06/11  00:02:18  menze
 * Added copyright notice
 *
 * Revision 1.2  1994/05/15  00:24:02  davidm
 * Cleanup.
 *
 * Revision 1.1  1994/01/27  01:58:12  davidm
 * Initial revision
 *
 */
/* 
 * Event definitions for modules which work very closely with the
 * event subsystem.  Conceptually, this is provides a backdoor to
 * the event manager that needs not be visible to protocol writers.
 */
#ifndef event_i_h
#define event_i_h

#include "xk_config.h"

/*
 * Bits in event flags:
 */
#define E_DETACHED_F	(1<<0)
#define E_CANCELLED_F 	(1<<1)

extern void	evInit (int interval_usec);
extern void	evHardClock (void);

#ifdef XK_THREAD_TRACE

  extern Map	localEventMap;

  extern void	evMarkBlocked (Semaphore *on_semaphore);
  extern void	evMarkRunning (void);

#endif /* XK_THREAD_TRACE */

#endif /* event_i_h */
